#include <iostream>
using namespace std;
int main()

{
    int N,K,rez;
    cin>>N>>K;
    int a[N];
    for(int i=0;i<N;i++)
    {
        cin>>a[i];
        if(a[i]==K)
            rez=i+1;
    }
    if (rez==N)
    {
        cout<<a[0];
    }
    else
        cout<<a[rez];
}